% Script to load the the carina data
% You will need to define:  cruises
%                           stations
% If stations = -999  all stations will be loaded
% You will first need to create a mat-file from the csv file using read_carina.m
% 
% All "-9" will be conveted to "NaN"
% Data with flags other than 2, 6 and 0 will be set to NaN
% This can be changed manually in the script
% 
% You will need to make sure that the right path is on line below
% 
% Toste Tanhua  2009.06.05

ATL=[5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 .....
     22 23 24 25 26 27 28 29 30 31 32 37 38 39 40 .....
     41 42 43 44 51 52 53 54 55 56 57 60 61 62 63 .....
     64 65 66 68 69 71 81 84 85 86 87 89 90 91 92 .....
     93 94 95 106 107 108 109 113 125 130 135 151 ....
     152 153 154 155 156 157 158 159 160 161 162 ....
     164 165 166 167 168 169 170 171 172 173 185 187 188];
 
 SO=[96 105 127 163 99 33 149 114 174 59 150 34 182 1 ...
     102 183 115 110 111 112 175 80 35 58 97 98 100 101 ...
     103 4 70 88 104];
 
 AMS=[186 78 145 132 179 134 67 117 140 144 82 124 142 120 ...
     147 180 46 133 136 138 143 148 141 122 178 137 181 176 ...
     79 126 123 3 177 47 2 49 184 48 118 119 50 121 146 129 131 ...
     139 74 77 83 116 45 72 73 75 76 128 36];
 
% Make sure you have the right paths here
if ismember(cruises,ATL)==1;  
    load CARINA_ATL
elseif ismember(cruises,SO)==1,
    load CARINA_SO
elseif ismember(cruises,AMS)==1,
    load CARINA_AMS
else
    disp('Not a valid cruisenumber');
    return
end

% Convert all -999 too NaN
  data(data==-999)=NaN;

% define the availabe variables
for i=1:length(hdr0);
     carinavar=[hdr0{i}, ' = data(:,i);'];
     eval(carinavar);
end


% Find the cruises you want to load
W=[]; expo=[];
for icruise=1:length(cruises),
  J=find(cruiseno == cruises(icruise));
  W=[W ; J(:)];
  K=find(UC == cruises(icruise));
  ex=expocode(K);
  expo=[expo ; ex];
end

for i=1:length(hdr0);
    carinavar=[hdr0{i},' = ', hdr0{i},'(W,:);'];
    eval(carinavar);    
end

expocode=expo;  

% Find the stations that you want to load.
if stations == -999,
    stations=min(station):max(station);
end

W=[];
for istat=1:length(stations),
  J=find(station == stations(istat));
  W=[W ; J(:)];
end

for i=1:length(hdr0);
    carinavar=[hdr0{i},' = ', hdr0{i},'(W,:);'];
    eval(carinavar);
end


