% Script to produce a txt file with weights for the inversions.
% This version for the North Altantic part of CARINA

% Toste Tanhua 2009.04.25

clear all; close all;

% Load the desired merged CARINA data file
load CARINA_ATL

for i=1:length(hdr0);
     carinavar=[hdr0{i}, ' = data(:,i);'];
     eval(carinavar);
end

t=unique(cruiseno); 

% Produce a matrix of standard weights for the WDLSQ analysis. 
WW=ones(length(t),9);
WW(:,1)=t;              % cruisenumbers
WW(:,2)=30;             % salinity weight
WW(:,3)=15;             % TCO2
WW(:,4)=20;             % Alkalinity
WW(:,5)=0.01;           % phsws25
WW(:,6:8)=0.2;          % Nutrients
WW(:,9)=0.1;            % Oxygen

% These cruise  has a higher weight (i.e. a lower allowed correction).
core=[6 13 17 18 19 30 32 39 44 62 68 69 85 86 87 108 109 113 155 157 171 172 173]; % core-cruises
for i=1:length(core),
    F=find(t == core(i));
    WW(F,:)=[core(i) 5 4 6 0.005 0.02 0.02 0.02 0.01]; %The weights for the core-cruises
end

% Here are the exceptions, i.e. core-cruises where one (or more) parameters have large offsets, and hence should get a lower weight.
cr=172; F=find(t==cr); WW(F,:)=[cr 5 4 20 0.005 0.02 0.02 0.02 0.01];
cr=7; F=find(t==cr); WW(F,:)=[cr 5 4 6 0.005 0.02 0.02 0.2 0.01];
cr=17; F=find(t==cr); WW(F,:)=[cr 30 4 6 0.005 0.02 0.02 0.02 0.01];
cr=32; F=find(t==cr); WW(F,:)=[cr 5 4 6 0.005 0.02 0.2 0.02 0.01];
cr=109; F=find(t==cr); WW(F,:)=[cr 30 4 6 0.005 0.02 0.02 0.02 0.01];
cr=155; F=find(t==cr); WW(F,:)=[cr 5 4 6 0.005 0.02 0.02 0.2 0.01];
cr=157; F=find(t==cr); WW(F,:)=[cr 5 4 6 0.005 0.02 0.02 0.2 0.01];

% Save a txt file with the weigths
fname=sprintf('weights.txt');
fid=fopen(fname,'w');
fprintf(fid,'%f %f %f %f %f %f %f %f %f\n',WW');
fclose(fid);

